/*

Código fonte de exemplo para uso com a Placa Arduino Bricks Chaves Tactil 4x fabricada pela Zuchi

Este código de exemplo e de domínio público

Autor: Pedro Zuchi - pedro@zuchi.com.br
Loja Virtual: www.zuchishop.com.br, www.zuchi.com.br
Área de download: www.zuchi.com.br/download
Blog: www.androidarduino.com.br, www.androidioio.com.br

Observações:
Este exemplo faz uso de uma Placa Arduino Duemilanove e uma Placa Arduino Bricks Chaves Tactil 4x
Portas da Placa Arduino Duemilanove utilizadas no exemplo:
Botão 1 - Digital Input 7
Botão 2 - Digital Input 6
Botão 3 - Digital Input 5
Botão 4 - Digital Input 4
LED L - Digital Output 13

*/

// Definição do endereço dos botões
const int buttonPin1 = 7; 
const int buttonPin2 = 6;
const int buttonPin3 = 5;
const int buttonPin4 = 4;
// Definição do endereço do LED L da pçaca Duemilanove
const int ledPin = 13; 

// Variáveis globais
int buttonState = 0; // Variável de leitura do estado dos botões
int i; // Variável de uso geral

// Função setup
void setup() {
  // Initialize a porta serial da placa Arduino Duemilanove
  Serial.begin(9600);
  // Initialize a porta digital 13 como saída para acionamento do LED L
  pinMode(ledPin, OUTPUT);      
  // // Initialize as portas digitais 7,6,5 e 4 como entradas para leitura dos estados dos botões
  pinMode(buttonPin1, INPUT);
  pinMode(buttonPin2, INPUT);
  pinMode(buttonPin3, INPUT); 
  pinMode(buttonPin4, INPUT);  
}

// Função loop
void loop(){
  // Lê o estado da do botão 1
  buttonState = digitalRead(buttonPin1);
  if (buttonState == HIGH) {     
    digitalWrite(ledPin, LOW);  
  } 
  else {
    Serial.println("Botao 1 pressionado...");
    for (i=0;i<1;i++) {
      digitalWrite(13, HIGH);
      delay(125);
      digitalWrite(13, LOW); 
      delay(125); 
    }
  }
  // Lê o estado da do botão 2
  buttonState = digitalRead(buttonPin2);
  if (buttonState == HIGH) {     
    digitalWrite(ledPin, LOW);  
  } 
  else {
    Serial.println("Botao 2 pressionado...");
    for (i=0;i<2;i++){
      digitalWrite(13, HIGH); 
      delay(125); 
      digitalWrite(13, LOW);
      delay(125);
    }
  }
  // Lê o estado da do botão 3
  buttonState = digitalRead(buttonPin3);
  if (buttonState == HIGH) {     
    digitalWrite(ledPin, LOW);  
  } 
  else {
    Serial.println("Botao 3 pressionado...");
    for (i=0;i<3;i++){
      digitalWrite(13, HIGH); 
      delay(125);  
      digitalWrite(13, LOW); 
      delay(125); 
    }
  }
  // Lê o estado da do botão 4
  buttonState = digitalRead(buttonPin4);
  if (buttonState == HIGH) {     
    digitalWrite(ledPin, LOW);  
  } 
  else {
    Serial.println("Botao 4 pressionado...");
    for (i=0;i<4;i++){
       digitalWrite(13, HIGH);
      delay(125); 
      digitalWrite(13, LOW);
      delay(125); 
    }
  }
}

